List a company's service orders
curl --request GET \
--url https://api.clemta.com/v1/companies/{companyID}/service-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clemta.com/v1/companies/{companyID}/service-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/companies/{companyID}/service-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"items": [
{
"object": "service_order",
"id": "so_0346sFPEvSkJvY8vt14NNw",
"company": "<string>",
"product_key": "ein",
"status": "received",
"unit_amount": 7900,
"currency": "usd",
"created_at": "2023-11-07T05:31:56Z",
"interval": "one_time",
"options": {
"llc_members": "multi_member"
},
"form_required": true,
"workflow_status": "<string>",
"form": {
"fields": [
{
"field_name": "<string>",
"field_type": "text",
"key": "<string>",
"required": true,
"options": [
"<string>"
],
"guidance": "<string>",
"help": "<string>",
"note": "<string>",
"placeholder": "<string>",
"info_points": [
"<string>"
],
"conditional": {
"field": "<string>",
"values": [
"<string>"
]
},
"validation": {
"pattern": "<string>",
"min_length": 123,
"max_length": 123,
"min": 123,
"max": 123
},
"file": {
"accepted_types": [
"<string>"
],
"max_size_bytes": 123
}
}
],
"title": "<string>",
"warning": "<string>"
},
"quote": {
"state": "pending",
"unit_amount": 123,
"currency": "<string>",
"quoted_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z"
},
"shareholder": "<string>",
"outcome": "<string>",
"included_in": "<string>",
"fees": [
{
"kind": "state_fee",
"unit_amount": 30000,
"currency": "usd"
}
],
"next_renewal_at": "2023-11-07T05:31:56Z",
"renewal_cancel_requested_at": "2023-11-07T05:31:56Z",
"renewal_canceled_at": "2023-11-07T05:31:56Z",
"renewal_ends_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}{
"type": "https://docs.clemta.com/partner/errors#resource_already_exists",
"title": "<string>",
"status": 349,
"code": "api_key_invalid",
"detail": "<string>",
"request_id": "<string>",
"errors": [
{
"reason": "<string>",
"location": "<string>",
"validation_type": "<string>",
"how_to_fix": "<string>"
}
]
}Service orders
List a company's service orders
GET
/
companies
/
{companyID}
/
service-orders
List a company's service orders
Authorizations
Your API key, e.g. Authorization: Bearer clmt_test_. Live keys use the clmt_live_ prefix.
Headers
Date-based API version to run this request against.
Example:
"2026-08-13"
Path Parameters
ID of the company.
Pattern:
^cmp_[0-9A-Za-z]{22}$⌘I